/*
 * Copyright (c) 2016, Aegir Labs LLC. All rights reserved.
 */


package com.aegir.demo.model;

/**
 * A model representing a floor for a venue.
 */
public class FloorItem extends BaseFloorItem {

    // region Fields

    private String key; //f3_floor
    private Boolean isWayfindingAvailable;
    private Integer buildingNumber;
    private Boolean isOutdoor;

    // endregion

    // region Constructors

    public FloorItem(String name, Integer floorNumber, String key, Integer buildingNumber) {
        super(name, floorNumber);
         this.key = key;
        this.isWayfindingAvailable = true;
        this.buildingNumber = buildingNumber;
        setIsBuilding(false);
    }

    // endregion

    // region Accessors
    public Integer getBuildingNumber() {
        return buildingNumber;
    }
    /**
     *
     * @return true if wayfinding is available on this floor
     */
    public boolean isWayfindingAvailable()
    {
        return isWayfindingAvailable;
    }


    /**
     *
     * @param wayfindingAvailable true if wayfinding is available on this floor
     */
    public void setWayfindingAvailable(Boolean wayfindingAvailable) {
        isWayfindingAvailable = wayfindingAvailable;
    }


    /**
     *
     * @return unique identifier for the floor
     */
    public String getKey() {
        return key;
    }

    /**
     *
     * @param floorKey unique identifier for the floor
     */
    public void setKey(String floorKey) {
        this.key = key;
    }

    public Boolean getOutdoor() {
        return isOutdoor;
    }

    public void setOutdoor(Boolean outdoor) {
        isOutdoor = outdoor;
    }

    // endregion
}
